GET/v1/customers/{external_id}/purchase-transfers
List a customer's purchase transfers
Lists the purchases transferred to or from the customer, newest first, 50 by default and at most 100. Needs customers:read.
curl 'https://api.entitler.co/v1/customers/ada/purchase-transfers' \
-H "Authorization: Bearer $ENTITLER_KEY"Credentials
Send any one of these:
- Bearer token
Path parameters
| Name | Type | Description |
|---|---|---|
external_idrequired | string | The customer's external ID, or me for the customer a customer token or identity token names. |
Query parameters
| Name | Type | Description |
|---|---|---|
target.team_id | string | |
target.project_id | string | |
target.environment_id | string | |
page_size | integer (int64) | |
page_token | string |
Responses
200The ListPurchaseTransfersResponse message.
ListPurchaseTransfersResponse
nextPageTokenstringtransfersarray of PurchaseTransferrequiredactorcommon.Actoridstringrequiredtypecommon.ActorTyperequiredOne of
ACTOR_TYPE_UNSPECIFIED,ACTOR_TYPE_USER,ACTOR_TYPE_KEY,ACTOR_TYPE_SYSTEM.
atintegerrequiredat least 0; at most 18446744073709552000
fromExternalIdstringrequiredidstringrequiredkindPurchaseTransferKindrequiredOne of
PURCHASE_TRANSFER_KIND_UNSPECIFIED,PURCHASE_TRANSFER_KIND_RESTORE,PURCHASE_TRANSFER_KIND_SUPPORT.purchasePurchaseRefappStoreAppStorePurchaseRefconnectionIdstringrequiredoriginalTransactionIdstringrequired
reasonstringtoExternalIdstringrequired
ErrorA refusal, with the HTTP status of its gRPC code.
Error
errorobjectrequiredcodestringrequiredparametersobjectrequiredEach value: string
reasonstringor nullrequired